[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: script to detect timestamp-mismatches (inefficiency) in (1.7) working copies?

From: Daniel Shahaf <d.s_at_daniel.shahaf.name>
Date: Fri, 20 Apr 2012 17:36:46 +0300

Stefan Sperling wrote on Fri, Apr 20, 2012 at 14:38:19 +0200:
> Such problems didn't happen during the 1.6->1.7 timeframe as far as I
> can see (people got an error message and understood what was going on).
>

But in the 1.6->1.7 upgrade people had to go through all working copies
managed by unmanned daemons and manually upgrade all of them.

> If some people want to keep auto-upgrade, let's add a prompt
> ("auto-upgrade this working copy? yes/no") or a knob to the client config
> that advanced users can use to enable silent auto-upgrade. In which case
> 'svn status' would auto-upgrade when updating timestamps.

Another option is not to make format upgrades mandatory --- just like
svn 1.7 can write to format-1 FSFS filesystems. I don't recall what we
want to bump the format in 1.8 for so I can't tell how realistic that is.
Received on 2012-04-20 16:37:27 CEST

This is an archived mail posted to the Subversion Users mailing list.